#!/usr/bin/python3

# ## {R2D2919B742E} ##
# ###########################################################################
# What if magic existed?
# What if a place existed where your every thought and dream come to life.
# There is only one catch: it has to be written down.
# Such a place exists, it is called programming.
#    - Scott Taylor Reph, RightThumb.com
# ###########################################################################
# ## {C3P0D40fAe8B} ##
##################################################
import os, sys, time
##################################################
import _rightThumb._construct as __
appDBA = __.clearFocus( __name__, __file__ )
__.appReg = appDBA
def focus( parentApp='', childApp='', reg=True ):
    global appDBA
    f = __.appName( appDBA, parentApp, childApp )
    if reg:
        __.appReg = f
    return f
__.registeredApps.append( focus() )
import _rightThumb._base3 as _
_.load()
##################################################
import _rightThumb._vars as _v
import _rightThumb._string as _str
##################################################

def appSwitches():
    pass

_.autoBackupData = __.setting('receipt-log')
__.releaseAcquiredData = __.setting('receipt-file')
__.myFileLocations_SKIP_VALIDATION = False
__.isRequired_Pipe = False
__.isRequired_Pipe_or_File = False
__.pre_error = False
__.switch_raw = []
# __.switch_raw = [ 'Delim' ]
# __.isRequired_or_List = ['Pipe','Files','Plus']
# __.setting( 'app-switches-raw', [ 'Delim' ] )


_.appInfo[focus()] = {
    'file': 'vps-ssh.py',
    'liveAppName': __.thisApp( __file__ ),
     'description': 'vps ssh quick setup',
    'categories': [
                        'ssh',
                        'setup',
                ],
    'usage': [
                        # 'epy another',
                        # 'e nmap',
                        # '',
    ],
    'relatedapps': [
                        # 'p another -file file.txt',
                        # '',
    ],
    'prerequisite': [
                        # 'p another -file file.txt',
                        # '',
    ],
    'examples': [
                        _.hp('p thisApp -file file.txt'),
                        '',
    ],
    'columns': [
                       # { 'name': 'name', 'abbreviation': 'n' },
                       # { 'name': '{1}', 'abbreviation': '{0}', 'sort': '{2}' },
    ],
    'aliases': [
                       # 'this',
                       # 'app',
    ],
    'notes': [
                       # {},
    ],
}

_.appData[focus()] = {
        'start': __.startTime,
        'uuid': '',
        'audit': [],
        'pipe': False,
        'data': {
                    'field': {'sent': [], 'received': [] }, # { 'label': '', 'context': [],  }
                    'table': {'sent': [], 'received': [] }, 
        },
    }



def registerSwitches( argvProcessForce=False ):
    global appDBA
    if not __.appReg == appDBA and appDBA in __.appReg:

        if not __name__ == '__main__':
            _.argvProcess = argvProcessForce
        else:
            _.argvProcess = True

        _.load()
        _.appInfo[__.appReg] = _.appInfo[appDBA]
        _.appData[__.appReg] = _.appData[appDBA]
    __.constructRegistration( _.appInfo[__.appReg]['file'],__.appReg )
    appSwitches()

    _.myFileLocation_Print = False
    _.switches.trigger( 'Files', _.myFileLocations, vs=True )
    _.switches.trigger( 'Folder', _.myFolderLocations )
    _.switches.trigger( 'URL', _.urlTrigger )
    _.switches.trigger( 'Ago', _.timeAgo )
    _.switches.trigger( 'Duration', _.timeFuture )
    
    _.defaultScriptTriggers()
    _.switches.process()


if not __name__ == '__main__':
    _.argvProcess = False
else:
    _.argvProcess = True

registerSwitches()


def fieldSet( switchName, switchField, switchValue, theFocus=False ):
    if not type( theFocus ) == bool:
        theFocus = theFocus
    _.switches.fieldSet( switchName, switchField, switchValue, theFocus )


if __name__ == '__main__':
    if not sys.stdin.isatty():
        _.setPipeData( sys.stdin.readlines(), __.appReg, clean=True )


_.postLoad( __file__ )

########################################################################################
# START


code1 = '''#!/usr/bin/expect -f
spawn ssh-keygen -t rsa
expect {
    "Enter file" { send "\n"; exp_continue }
    "Enter passphrase" { send "\n"; exp_continue }
    "Enter same" { send "\n";  }
}
'''
code2 = '''#!/usr/bin/expect -f
#
# Install RSA SSH KEY with no passphrase
#

set user [lindex $argv 0]
set host [lindex $argv 1]
set password [lindex $argv 2]
spawn ssh-copy-id -i /home/scott/.ssh/id_rsa.pub $user@$host

expect {
    "continue" { send "yes\n"; exp_continue }
    "assword:" { send "$password\n"; }
}
'''
def zeros():
    z = ''
    i = 0
    while not i == 2000:
        i+=1
        if(i%200==0):
            z+='\n'
        z+='0'
    return z
def action():
    global code1
    global code2
    temp = _v.stmp +os.sep+ 'vps-srv-7facG-ssh.sh'
    _.saveText( code1, temp )
    os.system( 'rm -rf .ssh/' )
    os.system( 'ssh-keygen -t rsa' )
    # os.system(' chmod 777 '+temp )
    # os.system( temp  )
    _.saveText( code2, temp )
    os.system(' chmod 777 '+temp )

    os.system( temp + ' admin hoth.eyeformeta.com '+_vault.imp.s.de( 'wuhx2MkyByouOQWCoKfuJQ==' )  )
    os.system( temp + ' scott hoth.eyeformeta.com '+_vault.imp.s.de( 'wuhx2MkyByouOQWCoKfuJQ==' )  )
    os.system( temp + ' scott bespin.eyeformeta.com '+_vault.imp.s.de( 'wuhx2MkyByouOQWCoKfuJQ==' )  )
    os.system( temp + ' scott mandalore.eyeformeta.com '+_vault.imp.s.de( 'wuhx2MkyByouOQWCoKfuJQ==' )  )

    os.system( temp + ' root hoth.eyeformeta.com '+_vault.imp.s.de( 'wuhx2MkyByouOQWCoKfuJQ==' )  )
    os.system( temp + ' root bespin.eyeformeta.com '+_vault.imp.s.de( 'wuhx2MkyByouOQWCoKfuJQ==' )  )
    os.system( temp + ' root mandalore.eyeformeta.com '+_vault.imp.s.de( 'wuhx2MkyByouOQWCoKfuJQ==' )  )

    _.saveText( zeros(), temp )
    
    
    _.pr()
_vault = _.regImp( __.appReg, '_rightThumb._vault' )



########################################################################################
if __name__ == '__main__':
    action()
    __.isExit()





